Public Class Form1

    Private Sub newToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles newToolStripMenuItem.Click

        'Clear the text boxes
        TextBox1.Text = String.Empty
        TextBox2.Text = String.Empty

        'Set focus to the first text box
        TextBox1.Focus()
    End Sub

    Private Sub newToolStripButton_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles newToolStripButton.Click

        'Call the newToolStripMenuItem_Click procedure
        newToolStripMenuItem_Click(sender, e)
    End Sub

    Private Sub exitToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles exitToolStripMenuItem.Click

        'Close the form and end
        Me.Close()
    End Sub

    Private Sub undoToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles undoToolStripMenuItem.Click

        'Declare a TextBox object and set it to the ActiveControl
        Dim objTextBox As TextBox = Me.ActiveControl
        'Undo the last operation
        objTextBox.Undo()
    End Sub

    Private Sub cutToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles cutToolStripMenuItem.Click

        'Declare a TextBox object and set it to the ActiveControl
        Dim objTextBox As TextBox = Me.ActiveControl
        'Copy the text to the clipboard and clear the field
        objTextBox.Cut()

        'Display a message in the status bar
        sspStatus.Text = "Text Cut"
    End Sub

    Private Sub cutToolStripButton_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles cutToolStripButton.Click

        'Call the cutToolStripMenuItem_Click procedure
        cutToolStripMenuItem_Click(sender, e)
    End Sub

    Private Sub copyToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles copyToolStripMenuItem.Click

        'Declare a TextBox object and set it to the ActiveControl
        Dim objTextBox As TextBox = Me.ActiveControl
        'Copy the text to the clipboard
        objTextBox.Copy()

        'Display a message in the status bar
        sspStatus.Text = "Text Copied"
    End Sub

    Private Sub copyToolStripButton_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles copyToolStripButton.Click

        'Call the copyToolStripMenuItem_Click procedure
        copyToolStripMenuItem_Click(sender, e)
    End Sub

    Private Sub pasteToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles pasteToolStripMenuItem.Click

        'Declare a TextBox object and set it to the ActiveControl
        Dim objTextBox As TextBox = Me.ActiveControl
        'Copy the data from the clipboard to the textbox
        objTextBox.Paste()

        'Display a message in the status bar
        sspStatus.Text = "Text Pasted"
    End Sub

    Private Sub pasteToolStripButton_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles pasteToolStripButton.Click

        'Call the pasteToolStripMenuItem_Click procedure
        pasteToolStripMenuItem_Click(sender, e)
    End Sub

    Private Sub selectAllToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles selectAllToolStripMenuItem.Click

        'Declare a TextBox object and set it to the ActiveControl
        Dim objTextBox As TextBox = Me.ActiveControl
        'Select all text
        objTextBox.SelectAll()
    End Sub

    Private Sub mainToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles mainToolStripMenuItem.Click

        'Toggle the visibility of the Main toolbar
        'based on this menu item's Checked property
        If mainToolStripMenuItem.Checked Then
            tspMain.Visible = True
        Else
            tspMain.Visible = False
        End If
    End Sub

    Private Sub formattingToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles formattingToolStripMenuItem.Click

        'Toggle the visibility of the Formatting toolbar
        'based on this menu item's Checked property
        If formattingToolStripMenuItem.Checked Then
            tspFormatting.Visible = True
        Else
            tspFormatting.Visible = False
        End If
    End Sub

    Private Sub contextUndoToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles contextUndoToolStripMenuItem.Click

        'Call the undoToolStripMenuItem_Click procedure
        undoToolStripMenuItem_Click(sender, e)
    End Sub

    Private Sub contextCutToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles contextCutToolStripMenuItem.Click

        'Call the cutToolStripMenuItem_Click procedure
        cutToolStripMenuItem_Click(sender, e)
    End Sub

    Private Sub contextCopyToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles contextCopyToolStripMenuItem.Click

        'Call the copyToolStripMenuItem_Click procedure
        copyToolStripMenuItem_Click(sender, e)
    End Sub

    Private Sub contextPasteToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles contextPasteToolStripMenuItem.Click

        'Call the pasteToolStripMenuItem_Click procedure
        pasteToolStripMenuItem_Click(sender, e)
    End Sub

    Private Sub contextSelectAllToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) _
        Handles contextSelectAllToolStripMenuItem.Click

        'Call the selectAllToolStripMenuItem_Click procedure
        selectAllToolStripMenuItem_Click(sender, e)
    End Sub

    Private Sub ToggleMenus()
        'Declare a TextBox object and set it to the ActiveControl
        Dim objTextBox As TextBox = Me.ActiveControl

        'Toggle the Undo menu items
        undoToolStripMenuItem.Enabled = objTextBox.CanUndo
        contextUndoToolStripMenuItem.Enabled = objTextBox.CanUndo

        'Toggle the Cut toolbar button and menu items
        cutToolStripButton.Enabled = objTextBox.SelectionLength
        cutToolStripMenuItem.Enabled = objTextBox.SelectionLength
        contextCutToolStripMenuItem.Enabled = objTextBox.SelectionLength

        'Toggle the Copy toolbar button and menu items
        copyToolStripButton.Enabled = objTextBox.SelectionLength
        copyToolStripMenuItem.Enabled = objTextBox.SelectionLength
        contextCopyToolStripMenuItem.Enabled = objTextBox.SelectionLength

        'Toggle the Paste toolbar button and menu items
        pasteToolStripButton.Enabled = My.Computer.Clipboard.ContainsText
        pasteToolStripMenuItem.Enabled = My.Computer.Clipboard.ContainsText
        contextPasteToolStripMenuItem.Enabled = _
            My.Computer.Clipboard.ContainsText

        'Toggle the Select All menu items
        selectAllToolStripMenuItem.Enabled = _
            objTextBox.SelectionLength < objTextBox.Text.Length
        contextSelectAllToolStripMenuItem.Enabled = _
            objTextBox.SelectionLength < objTextBox.Text.Length
    End Sub

    Private Sub TextBox1_MouseMove(ByVal sender As Object, _
        ByVal e As System.Windows.Forms.MouseEventArgs) Handles TextBox1.MouseMove

        'Toggle the menu items and toolbar buttons
        ToggleMenus()
    End Sub

    Private Sub TextBox2_MouseMove(ByVal sender As Object, _
        ByVal e As System.Windows.Forms.MouseEventArgs) Handles TextBox2.MouseMove

        'Toggle the menu items and toolbar buttons
        ToggleMenus()
    End Sub
End Class
